org.firebirdsql.jdbc

## Class FBDriverConsistencyCheckException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.firebirdsql.jdbc.FBSQLException
        - - org.firebirdsql.jdbc.FBDriverConsistencyCheckException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

    public class FBDriverConsistencyCheckException
    extends FBSQLException

Internal driver consistency check failed. This exception is thrown when some internal consistency check fails.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FBDriverConsistencyCheckException(java.lang.String message)` Create instance of this exception for the specified message.

### Method Summary

### Methods inherited from class org.firebirdsql.jdbc.FBSQLException

`defaultSQLStateIfNull, getInternalException`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FBDriverConsistencyCheckException

    public FBDriverConsistencyCheckException(java.lang.String message)

Create instance of this exception for the specified message.

Parameters:
  `message` - message to display.